@extends('app')
@section('content')
<div class="container-xxl" id="kt_content_container">
    <!--begin::Post-->
    <div class="content flex-row-fluid" id="kt_content">
        <!--begin::Card-->
        <div class="card" style="margin-top:80px;">
            <!--begin::Card header-->
            <div class="card-header border-0 pt-6">
                <!--begin::Card title-->
                <div class="card-title">
                    <!--begin::Search-->
                    <div class="d-flex align-items-center position-relative my-1 d-none">
                        <!--begin::Svg Icon | path: icons/duotune/general/gen021.svg-->
                        <span class="svg-icon svg-icon-1 position-absolute ms-6">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                <rect opacity="0.5" x="17.0365" y="15.1223" width="8.15546" height="2" rx="1" transform="rotate(45 17.0365 15.1223)" fill="black" />
                                <path d="M11 19C6.55556 19 3 15.4444 3 11C3 6.55556 6.55556 3 11 3C15.4444 3 19 6.55556 19 11C19 15.4444 15.4444 19 11 19ZM11 5C7.53333 5 5 7.53333 5 11C5 14.4667 7.53333 17 11 17C14.4667 17 17 14.4667 17 11C17 7.53333 14.4667 5 11 5Z" fill="black" />
                            </svg>
                        </span>
                        <!--end::Svg Icon-->
                        <input type="text" data-kt-user-table-filter="search" class="form-control form-control-solid w-250px ps-14" placeholder="Search user" />
                    </div>
                    <!--end::Search-->
                </div>
                <!--begin::Card title-->
            </div>
            <!--end::Card header-->
            <!--begin::Card body-->
            <div class="card-body pt-0">
                <!--begin::Table-->
                <table class="table align-middle table-row-dashed fs-6 gy-5" id="kt_table_staff">
                    <!--begin::Table head-->
                    <thead>
                        <!--begin::Table row-->
                        <tr class="text-start text-muted fw-bolder fs-7 text-uppercase gs-0">
                            <th class="text-center min-w-125px p-4">{{__("Name")}}</th>
                            <th class="text-center min-w-125px p-4">{{__("Date of Birth")}}</th>
                            <th class="text-center min-w-125px p-4">{{__("Sex")}}</th>
                            <th class="text-center min-w-125px">{{__("Phone")}}</th>
                            <th class="text-center min-w-125px">{{__("Status")}}</th>
                            <th class="text-end min-w-100px p-4">{{__("Actions")}}</th>
                        </tr>
                        <!--end::Table row-->
                    </thead>
                    <!--end::Table head-->
                    <!--begin::Table body-->
                    <tbody class="text-gray-600 fw-bold">
                        <!--begin::Table row-->
                        @foreach ($lists as $list)
                        <tr>
                            <!--begin::Checkbox-->
                            <!--end::Checkbox-->
                            <!--begin::User=-->
                            <td class="text-center" ><!--begin:: Avatar -->
                                <div class="symbol symbol-circle symbol-50px overflow-hidden me-3">
                                        <a href="{{route('omra.demandeDetails',$list->id)}}">
                                            <div class="symbol-label">
                                                <img src="{{ asset('storage/assets/omraDemande/'.$list->photo)}}" alt=" " class="w-100" />
                                            </div>
                                        </a>

                                </div>
                                <!--end::Avatar-->
                                <!--begin::User details-->
                                <div class="d-flex flex-column">
                                    <a href="{{route('omra.demandeDetails',$list->id)}}" class="text-gray-800 text-hover-primary mb-1">{{$list->fname}} {{$list->lname}}</a>
                                    <span>{{$list->matrecule}}</span>
                                </div>
                            </td>
                            <!--end::User=-->
                            <!--begin::Role=-->
                            <td class="text-center" >{{$list->dob}}
                                {{-- <img src="{{ asset('storage/assets/omraDemande/'.$list->passport)}}" alt=" " class="w-100" /> --}}
                            </td>
                            <!--end::Role=-->

                            <td class="text-center">
                                @if ($list->sex == "f")
                                    Female
                                @else
                                    Male
                                @endif
                                {{-- <img src="{{ asset('storage/assets/omraDemande/'.$list->mdc)}}" alt=" " class="w-100" /> --}}
                            </td>
                            <td class="text-center">{{$list->phone}}
                                {{-- <img src="{{ asset('storage/assets/omraDemande/'.$list->vac_record)}}" alt=" " class="w-100" /> --}}
                            </td>
                            <td class="text-center">
                                {{$list->status}}
                            </td>
                            <!--end::Two step=-->
                            <!--begin::Joined-->
                            {{-- <td></td> --}}
                            <!--begin::Joined-->
                            <!--begin::Action=-->
                            <td class="text-center">


                                <a href="{{route('omra.demandeDetails',$list->id)}}" class="btn btn-link btn-block">
                                    <i class="fa-solid fa-eye"></i>
                                </a>

                                    {{-- @endif --}}


                                    <!--end::Menu item-->
                                {{-- </div> --}}
                                <!--end::Menu-->
                            </td>
                            <!--end::Action=-->
                        </tr>
                        @endforeach
                        {{-- @dd($list) --}}



                    </tbody>
                    <!--end::Table body-->
                </table>
                <!--end::Table-->
            </div>
            <!--end::card body-->
        </div>
        <!--end::Card-->
    </div>
    <!--end::Post-->
</div>
@section('extra_js')
<script>
    mapJs("{{app()->getLocale()}}");
    function mapJs(value) {
        locale = value;
        // var langUrl = "//cdn.datatables.net/plug-ins/be7019ee387/i18n/French.json";
        console.log('locale', locale)
        if (locale === "fr") { langUrl = "//cdn.datatables.net/plug-ins/be7019ee387/i18n/French.json"; }
        if (locale === "en") { langUrl = "//cdn.datatables.net/plug-ins/be7019ee387/i18n/English.json"; }
        if (locale === "ar") { langUrl = "//cdn.datatables.net/plug-ins/1.13.2/i18n/ar.json"; }
        $("#kt_table_staff").DataTable({

            "language": {
                "url":langUrl,
            "lengthMenu": "Show _MENU_",
            },
            "dom":
            "<'row'" +
            "<'col-sm-6 d-flex align-items-center justify-conten-start'l>" +
            "<'col-sm-6 d-flex align-items-center justify-content-end'f>" +
            ">" +

            "<'table-responsive'tr>" +

            "<'row'" +
            "<'col-sm-12 col-md-5 d-flex align-items-center justify-content-center justify-content-md-start'i>" +
            "<'col-sm-12 col-md-7 d-flex align-items-center justify-content-center justify-content-md-end'p>" +
            ">"
        });
    }

    $('.approve').on('click', function (event) {
        event.preventDefault();
        const url = $(this).attr('href');
        Swal.fire({
            title: '{{__("Are you sure?")}}',
            text: "{{__('You wont be able to revert this!')}}",
            icon: 'warning',
            showCancelButton: true,
            cancelButtonText: "{{__('Cancel')}}",
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: '{{__("Yes, update it!")}}'
            }).then((result) => {
            if (result.isConfirmed) {
                window.location.href = url;
                Swal.fire(
                '{{__("updated!")}}',
                '{{__("Your file has been updated.")}}',
                'success'
                )
            }
        })
    });
</script>
@endsection

@endsection
